summaryrefslogtreecommitdiff
path: root/docker-run.sh
diff options
context:
space:
mode:
Diffstat (limited to 'docker-run.sh')
-rwxr-xr-xdocker-run.sh12
1 files changed, 12 insertions, 0 deletions
diff --git a/docker-run.sh b/docker-run.sh
new file mode 100755
index 0000000..b438a19
--- /dev/null
+++ b/docker-run.sh
@@ -0,0 +1,12 @@
+#!/bin/sh
+set -eu
+
+if [ ! -f travelynx.conf ]
+then
+ echo "The configuration file is missing"
+ exit 1
+fi
+
+perl index.pl database migrate
+
+exec /usr/local/bin/hypnotoad -f index.pl \ No newline at end of file